Subject: Re: [PATCH] tcp: input header length, prediction, and timestamp bugs

From: William Allen Simpson <[email-masked]>
Date: Fri, 15 Jan 2010 14:12:28 -0500

William Allen Simpson wrote:
> Finally, don't use TCPOLEN_MD5SIG_ALIGNED in the tcp_minisock.c
> last_seg_size calculations. It's not used in all other places, and may
> result in a too short estimate.
> 
> Instead, use the same calculations as tp->advmss in tcp_input.c.
> 
This part really shouldn't have been included in this patch, as it
depends on similar changes to tcp_output.c.  My mistake cutting the
patches apart from the bigger testing patch.

I'll send a new version promptly.